<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta name="generator" content="rustdoc"><meta name="description" content="Build a command-line interface."><meta name="keywords" content="rust, rustlang, rust-lang, Command"><title>Command in clap - Rust</title><link rel="preload" as="font" type="font/woff2" crossorigin href="../SourceSerif4-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../FiraSans-Regular.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../FiraSans-Medium.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../SourceCodePro-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../SourceSerif4-Bold.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../SourceCodePro-Semibold.ttf.woff2"><link rel="stylesheet" type="text/css" href="../normalize.css"><link rel="stylesheet" type="text/css" href="../rustdoc.css" id="mainThemeStyle"><link rel="stylesheet" type="text/css" href="../ayu.css" disabled><link rel="stylesheet" type="text/css" href="../dark.css" disabled><link rel="stylesheet" type="text/css" href="../light.css" id="themeStyle"><script id="default-settings" ></script><script src="../storage.js"></script><script defer src="sidebar-items.js"></script><script defer src="../main.js"></script><noscript><link rel="stylesheet" href="../noscript.css"></noscript><link rel="alternate icon" type="image/png" href="../favicon-16x16.png"><link rel="alternate icon" type="image/png" href="../favicon-32x32.png"><link rel="icon" type="image/svg+xml" href="../favicon.svg"></head><body class="rustdoc type"><!--[if lte IE 11]><div class="warning">This old browser is unsupported and will most likely display funky things.</div><![endif]--><nav class="mobile-topbar"><button class="sidebar-menu-toggle">&#9776;</button><a class="sidebar-logo" href="../clap/index.html"><div class="logo-container"><img src="https://raw.githubusercontent.com/clap-rs/clap/master/assets/clap.png" alt="logo"></div>
        </a><h2 class="location"></h2>
    </nav>
    <nav class="sidebar"><a class="sidebar-logo" href="../clap/index.html"><div class="logo-container">
                    <img src="https://raw.githubusercontent.com/clap-rs/clap/master/assets/clap.png" alt="logo"></div>
        </a><h2 class="location"><a href="#">Command</a></h2><div class="sidebar-elems"><h2 class="location"><a href="index.html">In clap</a></h2></div></nav><main><div class="width-limiter"><div class="sub-container"><a class="sub-logo-container" href="../clap/index.html">
                        <img src="https://raw.githubusercontent.com/clap-rs/clap/master/assets/clap.png" alt="logo"></a><nav class="sub"><form class="search-form"><div class="search-container"><span></span><input class="search-input" name="search" autocomplete="off" spellcheck="false" placeholder="Click or press ‘S’ to search, ‘?’ for more options…" type="search"><div id="help-button" title="help" tabindex="-1"><button type="button">?</button></div><div id="settings-menu" tabindex="-1">
                                <a href="../settings.html" title="settings"><img width="22" height="22" alt="Change settings" src="../wheel.svg"></a></div>
                        </div></form></nav></div><section id="main-content" class="content"><div class="main-heading">
    <h1 class="fqn"><span class="in-band">Type Definition <a href="index.html">clap</a>::<wbr><a class="type" href="#">Command</a><button id="copy-path" onclick="copy_path(this)" title="Copy item path to clipboard"><img src="../clipboard.svg" width="19" height="18" alt="Copy item path"></button></span></h1><span class="out-of-band"><a class="srclink" href="../src/clap/builder/command.rs.html#70">source</a> · <a id="toggle-all-docs" href="javascript:void(0)" title="collapse all docs">[<span class="inner">&#x2212;</span>]</a></span></div><div class="docblock item-decl"><pre class="rust typedef"><code>pub type Command&lt;'help&gt; = <a class="struct" href="builder/struct.App.html" title="struct clap::builder::App">App</a>&lt;'help&gt;;</code></pre></div><details class="rustdoc-toggle top-doc" open><summary class="hideme"><span>Expand description</span></summary><div class="docblock"><p>Build a command-line interface.</p>
<p>This includes defining arguments, subcommands, parser behavior, and help output.
Once all configuration is complete,
the <a href="builder/struct.App.html#method.get_matches" title="Command::get_matches"><code>Command::get_matches</code></a> family of methods starts the runtime-parsing
process. These methods then return information about the user supplied
arguments (or lack thereof).</p>
<p>When deriving a <a href="trait.Parser.html" title="crate::Parser"><code>Parser</code></a>, you can use
<a href="trait.CommandFactory.html#method.command" title="crate::CommandFactory::command"><code>CommandFactory::command</code></a> to access the
<code>Command</code>.</p>
<ul>
<li><a href="builder/struct.App.html#basic-api" title="crate::App">Basic API</a></li>
<li><a href="builder/struct.App.html#application-wide-settings" title="crate::App">Application-wide Settings</a></li>
<li><a href="builder/struct.App.html#command-specific-settings" title="crate::App">Command-specific Settings</a></li>
<li><a href="builder/struct.App.html#subcommand-specific-settings" title="crate::App">Subcommand-specific Settings</a></li>
<li><a href="builder/struct.App.html#reflection" title="crate::App">Reflection</a></li>
</ul>
<h2 id="examples"><a href="#examples">Examples</a></h2>
<div class="example-wrap"><pre class="rust rust-example-rendered"><code><span class="kw">let</span> <span class="ident">m</span> <span class="op">=</span> <span class="ident">Command::new</span>(<span class="string">&quot;My Program&quot;</span>)
    .<span class="ident">author</span>(<span class="string">&quot;Me, me@mail.com&quot;</span>)
    .<span class="ident">version</span>(<span class="string">&quot;1.0.2&quot;</span>)
    .<span class="ident">about</span>(<span class="string">&quot;Explains in brief what the program does&quot;</span>)
    .<span class="ident">arg</span>(
        <span class="ident">Arg::new</span>(<span class="string">&quot;in_file&quot;</span>)
    )
    .<span class="ident">after_help</span>(<span class="string">&quot;Longer explanation to appear after the options when \
                 displaying the help information from --help or -h&quot;</span>)
    .<span class="ident">get_matches</span>();

<span class="comment">// Your program logic starts here...</span></code></pre></div>
</div></details></section></div></main><div id="rustdoc-vars" data-root-path="../" data-current-crate="clap" data-themes="ayu,dark,light" data-resource-suffix="" data-rustdoc-version="1.64.0-dev" ></div>
</body></html>